<!DOCTYPE html>
<html>
<head>
<title>mita-i</title>
<link href="../../js/libraries/bootstrap/css/bootstrap.min.css" rel="stylesheet">
<link href="../../css/mitai_template.css" rel="stylesheet">
<link href="../../css/simple-sidebar.css" rel="stylesheet">
<!--script data-main="../../js/require.config" src="../../js/require.js"></script-->
<script type="text/javascript" src="../../js/jquery-1.11.2.min.js"></script>
<script type="text/javascript" src="../../js/libraries/three_js/three.min.js"></script>
<script type="text/javascript" src="../../js/libraries/physijs/physi.js"></script>
<!--script type="text/javascript" src="../../js/app/mitai_app.1.0.0.js"></script-->
<script type="text/javascript" src="../../js/app/class.js"></script>
<script type="text/javascript" src="../../js/app/EscenaJuego.js"></script>
<script type="text/javascript" src="../../js/app/character.js"></script>
<script type="text/javascript">
    'use strict';

    Physijs.scripts.worker = '../../js/libraries/physijs/physijs_worker.js';
    Physijs.scripts.ammo = '../../libraries/physijs/js/ammo.js';

    var escenaBasica;
    $(document).ready(function(){
       escenaBasica = new EscenaJuego('gameScene');
      //escenaBasica.agregar('plano', drawTerrain());

      var loader = new THREE.ObjectLoader();
        loader.load("scene_dos.json",function ( obj ) {
          escenaBasica.escena.add(obj);
        });
       escenaBasica.objetos['camara_principal'].position.z = -450;
       escenaBasica.objetos['camara_principal'].position.y = 100;
       escenaBasica.objetos.camara_principal.lookAt(new THREE.Vector3(0,0,0));

      escenaBasica.escena.add(drawTerrain());
      var personaje = new Character({color: new THREE.Color("#FFBF00")});
      escenaBasica.agregarPersonajePrincipal(personaje);
      escenaBasica.setControls();
      escenaBasica.setFocus(escenaBasica.personajePrincipal.mesh);
      animate();
    });

function drawTerrain(){
       var plane = new Physijs.BoxMesh( // Physijs mesh
          new THREE.BoxGeometry(800, 2, 800), // Three.js geometry
            Physijs.createMaterial( // Physijs material
              new THREE.MeshNormalMaterial( { transparent: true, opacity: 0.0 } ),
              .4, // friction
              .8 // restitution
            ),
            0 // weight, 0 is for zero gravity
        );
        plane.receiveShadow= true;
        plane.position.x=0;
        plane.position.y=-1;
        plane.position.z=0;
        return plane;
    }

     function animate(){
        requestAnimationFrame(animate);
        escenaBasica.frame();
    }


function agregarBox(){
  var box = new Physijs.BoxMesh(
            new THREE.BoxGeometry( 15, 15, 15 ),
            Physijs.createMaterial( // Physijs material
              new THREE.MeshPhongMaterial({ // Three.js material
                color: new THREE.Color("#FFBF00")
              }),
              .0, // friction
              .0 // restitution
            )
        );
        box.position.y= 20;
        box.castShadow =true;
        box.geometry.dynamic = true;

        escenaBasica.agregar('box', box);
}


 </script>
</head>
<body>

    <div id="wrapper" class="toggled">
        <!-- Sidebar -->
        <div id="sidebar-wrapper" >

            <ul class="sidebar-nav">
                <li>
                    <a style="background-color:#34b73d;" class="text-center">
                        <img src="../../img/circle.png" class="menu-icon" />
                    </a>
                </li>
               <li>
                    <a style="background-color:#f76704;" class="text-center">
                      <img src="../../img/circle.png" class="menu-icon"/>
                    </a>
                </li>
                <li>
                    <a style="background-color:#0066ff;" class="text-center">
                      <img src="../../img/circle.png" class="menu-icon"/>
                    </a>
                </li>
                 <li>
                    <a style="background-color:#e637d3;" class="text-center">
                      <img src="../../img/circle.png" class="menu-icon"/>
                    </a>
                </li>
                <li>
                    <button class="btn btn-primary" onclick="agregarBox();">AgregarBox</button>
                </li>
            </ul>
        </div>
	    <a id="toggleSidebar" role="button"  class="btn collapsed"></a>
        <!-- /#sidebar-wrapper -->

        <!-- Page Content -->
        <div id="page-content-wrapper">
            <div class="container-fluid">
                    <figure id="gameScene"></figure>
            </div>
        </div>
        <!-- /#page-content-wrapper -->
    </div>
    <!-- /#wrapper -->

    <!-- Menu Toggle Script -->
    <script>
    $(document).ready(function(){
        $("#toggleSidebar").click(function(e) {
            e.preventDefault();
            $("#wrapper").toggleClass("toggled");
            if($(this).hasClass('expanded')){
                $(this).removeClass('expanded').addClass('collapsed');
            }
            else{
                $(this).removeClass('collapsed').addClass('expanded');    
            }
        });
    });
    


    </script>
</body>
</html>